li, ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
    position: relative;
}

nav > ul {
    display: flex;
    justify-content: center;
}

li {
    padding: 5px 50px;
    border: 2px solid black;
    background-color: white;
}

li ul {
    display: none;  
    position: absolute;
    left:0;
    top: 100%;
}

li li ul {
    left: 100%;
    top: 0;
}

li:hover > ul {
    display: block;
}